## org.exist.xquery.test
Class JavaFunctionsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.JavaFunctionsTest

All Implemented Interfaces:
  junit.framework.Test

public class JavaFunctionsTest
extends junit.framework.TestCase

Tests for various standart XQuery functions

Author:
  jens

Constructor Summary
`JavaFunctionsTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testLists()` Tests simple list functions to make sure java functions are being called properly

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaFunctionsTest

    public JavaFunctionsTest()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws XPathException

  Throws:
    `XPathException`

### testLists

    public void testLists()
                   throws XPathException

  Tests simple list functions to make sure java functions are being called properly

  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.